Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hwpf.usermodel
Class HWPFList

    java.lang.Object
      org.apache.poi.hwpf.usermodel.HWPFList

    public final class HWPFList

extends java.lang.Object

This class is used to create a list in a Word document. It is used in conjunction with `registerList` in `HWPFDocument`. In Word, lists are not ranged entities, meaning you can't actually add one to the document. Lists only act as properties for list entries. Once you register a list, you can add list entries to a document that are a part of the list. The only benefit of this that I see, is that you can add a list entry anywhere in the document and continue numbering from the previous list.

Author:
  Ryan Ackley

Constructor Summary
`HWPFList(boolean numbered, StyleSheet styleSheet)`

Method Summary
`ListData` | `getListData()`
`ListFormatOverride` | `getOverride()`
`void` | `setLevelNumberProperties(int level, CharacterProperties chp)` Sets the character properties of the list numbers.
`void` | `setLevelParagraphProperties(int level, ParagraphProperties pap)` Sets the paragraph properties for a particular level of the list.
`void` | `setLevelStyle(int level, int styleIndex)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HWPFList

    public HWPFList(boolean numbered,
                    StyleSheet styleSheet)

Parameters:
  `numbered` - true if the list should be numbered; false if it should be bulleted.
  `styleSheet` - The document's stylesheet.

Method Detail

### setLevelNumberProperties

    public void setLevelNumberProperties(int level,
                                         CharacterProperties chp)

  Sets the character properties of the list numbers.

  Parameters:
    `level` - the level number that the properties should apply to.
    `chp` - The character properties.

### setLevelParagraphProperties

    public void setLevelParagraphProperties(int level,
                                            ParagraphProperties pap)

  Sets the paragraph properties for a particular level of the list.

  Parameters:
    `level` - The level number.
    `pap` - The paragraph properties

### setLevelStyle

    public void setLevelStyle(int level,
                              int styleIndex)

### getListData

    public ListData getListData()

### getOverride

    public ListFormatOverride getOverride()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD